Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## util
Class ResourceUtils

    java.lang.Object
      util.ResourceUtils

    public class ResourceUtils

extends java.lang.Object

Utility methods for local resource file handling.

Constructor Summary
`ResourceUtils()`

Method Summary
`protected static java.lang.String` | `getLocalBasePrefix()` Returns the URI of the local resource base.
`static java.lang.String` | `getLocalURI(java.lang.String localpath)` Returns the URI of the resource with the given local path, i.e.
`static java.util.Properties` | `getProperties(java.lang.String localpath)` Loads and returns the properties held in the file with the given local path, i.e.
`static java.io.InputStream` | `getStream(java.lang.String localpath)` Returns an input stream for the resource with the given local path, i.e.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceUtils

    public ResourceUtils()

Method Detail

### getLocalBasePrefix

    protected static java.lang.String getLocalBasePrefix()

  Returns the URI of the local resource base.

### getLocalURI

    public static java.lang.String getLocalURI(java.lang.String localpath)

  Returns the URI of the resource with the given local path, i.e. path relative to our resource base.

### getStream

    public static java.io.InputStream getStream(java.lang.String localpath)

  Returns an input stream for the resource with the given local path, i.e. path relative to our resource base.

### getProperties

    public static java.util.Properties getProperties(java.lang.String localpath)

  Loads and returns the properties held in the file with the given local path, i.e. path relative to our resource base.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD